package com.dgtly.system.mapper;

import com.dgtly.system.domain.AlertConfiguration;
import java.util.List;

/**
 * 弹框配置Mapper接口
 * 
 * @author chenyn
 * @date 2023-06-13
 */
public interface AlertConfigurationMapper 
{
    /**
     * 查询弹框配置
     * 
     * @param alertId 弹框配置ID
     * @return 弹框配置
     */
    public AlertConfiguration selectAlertConfigurationById(Long alertId);

    public AlertConfiguration selectAlertConfigurationByAlertStatus(int alertStatus);


    /**
     * 查询弹框配置列表
     * 
     * @param alertConfiguration 弹框配置
     * @return 弹框配置集合
     */
    public List<AlertConfiguration> selectAlertConfigurationList(AlertConfiguration alertConfiguration);

    public int selectAlertConfigurationListFilter();

    /**
     * 新增弹框配置
     * 
     * @param alertConfiguration 弹框配置
     * @return 结果
     */
    public int insertAlertConfiguration(AlertConfiguration alertConfiguration);

    /**
     * 修改弹框配置
     * 
     * @param alertConfiguration 弹框配置
     * @return 结果
     */
    public int updateAlertConfiguration(AlertConfiguration alertConfiguration);

    /**
     * 删除弹框配置
     * 
     * @param alertId 弹框配置ID
     * @return 结果
     */
    public int deleteAlertConfigurationById(Long alertId);

    /**
     * 批量删除弹框配置
     * 
     * @param alertIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteAlertConfigurationByIds(String[] alertIds);
}
